libdap::RCReader Class Reference

`#include <RCReader.h>`

## Public Member Functions

string | get_ais_database () const throw ()
int | get_always_validate () const throw ()
string | get_cookie_jar () const throw ()
int | get_default_expires () const throw ()
bool | get_deflate () const throw ()
string | get_dods_cache_root () const throw ()
int | get_ignore_expires () const throw ()
int | get_max_cache_size () const throw ()
unsigned int | get_max_cached_obj () const throw ()
string | get_no_proxy_for_host () const throw ()
int | get_no_proxy_for_port () const throw ()
string | get_no_proxy_for_protocol () const throw ()
string | get_proxy_for_proxy_host_url () const throw ()
string | get_proxy_for_regexp () const throw ()
int | get_proxy_for_regexp_flags () const throw ()
string | get_proxy_server_host () const throw ()
| Get the proxy host.
string | get_proxy_server_host_url () const throw ()
int | get_proxy_server_port () const throw ()
| Get the proxy port.
string | get_proxy_server_protocol () const throw ()
| Get the proxy server protocol.
string | get_proxy_server_userpw () const throw ()
| Get the proxy username and password.
bool | get_use_cache () const throw ()
int | get_validate_ssl () const throw ()
bool | is_no_proxy_for_used () throw ()
bool | is_proxy_for_used () throw ()
void | set_ais_database (const string &db) throw ()
void | set_always_validate (int i) throw ()
void | set_default_expires (int i) throw ()
void | set_deflate (bool b) throw ()
void | set_ignore_expires (int i) throw ()
void | set_max_cache_size (int i) throw ()
void | set_max_cached_obj (int i) throw ()
void | set_no_proxy_for_host (const string &s) throw ()
void | set_no_proxy_for_port (int i) throw ()
void | set_no_proxy_for_protocol (const string &s) throw ()
void | set_proxy_for_proxy_host_url (const string &s) throw ()
void | set_proxy_for_regexp (const string &s) throw ()
void | set_proxy_for_regexp_flags (int i) throw ()
void | set_proxy_server_host (const string &s) throw ()
void | set_proxy_server_host_url (const string &s) throw ()
void | set_proxy_server_port (int l) throw ()
void | set_proxy_server_protocol (const string &s) throw ()
void | set_proxy_server_userpw (const string &s) throw ()
void | set_use_cache (bool b) throw ()
void | set_validate_ssl (int i) throw ()

## Static Public Member Functions

static RCReader * | instance ()

## Friends

class | HTTPConnectTest
class | RCReaderTest

## Detailed Description

Read the .dodsrc file. By default the file ~/.dodsrc is read. If the environment variable DODS_CONF is set, use that value as the pathname to the configuration file. Else, if the environment variable DODS_CACHE_INIT is set, use that value.

NB: DODS_CACHE_INIT is deprecated and may be removed in the future.

Author
  Jose Garcia jgarc.nosp@m.ia@u.nosp@m.car.e.nosp@m.du

Definition at line 53 of file RCReader.h.

## Member Function Documentation

## get_ais_database()

string libdap::RCReader::get_ais_database | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 188 of file RCReader.h.

## get_always_validate()

int libdap::RCReader::get_always_validate | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 141 of file RCReader.h.

## get_cookie_jar()

string libdap::RCReader::get_cookie_jar | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 190 of file RCReader.h.

## get_default_expires()

int libdap::RCReader::get_default_expires | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 140 of file RCReader.h.

## get_deflate()

bool libdap::RCReader::get_deflate | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 144 of file RCReader.h.

## get_dods_cache_root()

string libdap::RCReader::get_dods_cache_root | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 135 of file RCReader.h.

## get_ignore_expires()

int libdap::RCReader::get_ignore_expires | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 139 of file RCReader.h.

## get_max_cache_size()

int libdap::RCReader::get_max_cache_size | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 137 of file RCReader.h.

## get_max_cached_obj()

unsigned int libdap::RCReader::get_max_cached_obj | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 138 of file RCReader.h.

## get_no_proxy_for_host()

string libdap::RCReader::get_no_proxy_for_host | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 183 of file RCReader.h.

## get_no_proxy_for_port()

int libdap::RCReader::get_no_proxy_for_port | ( |  | ) | const
throw | ( | ) |  |  |

inline

Deprecated

Definition at line 186 of file RCReader.h.

## get_no_proxy_for_protocol()

string libdap::RCReader::get_no_proxy_for_protocol | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 182 of file RCReader.h.

## get_proxy_for_proxy_host_url()

string libdap::RCReader::get_proxy_for_proxy_host_url | ( |  | ) | const
throw | ( | ) |  |  |

inline

Deprecated

Definition at line 171 of file RCReader.h.

## get_proxy_for_regexp()

string libdap::RCReader::get_proxy_for_regexp | ( |  | ) | const
throw | ( | ) |  |  |

inline

Deprecated

Definition at line 169 of file RCReader.h.

## get_proxy_for_regexp_flags()

int libdap::RCReader::get_proxy_for_regexp_flags | ( |  | ) | const
throw | ( | ) |  |  |

inline

Deprecated

Definition at line 174 of file RCReader.h.

## get_proxy_server_host()

string libdap::RCReader::get_proxy_server_host | ( |  | ) | const
throw | ( | ) |  |  |

inline

Get the proxy host.

Definition at line 149 of file RCReader.h.

## get_proxy_server_host_url()

string libdap::RCReader::get_proxy_server_host_url | ( |  | ) | const
throw | ( | ) |  |  |

inline

Deprecated

Definition at line 155 of file RCReader.h.

## get_proxy_server_port()

int libdap::RCReader::get_proxy_server_port | ( |  | ) | const
throw | ( | ) |  |  |

inline

Get the proxy port.

Definition at line 151 of file RCReader.h.

## get_proxy_server_protocol()

string libdap::RCReader::get_proxy_server_protocol | ( |  | ) | const
throw | ( | ) |  |  |

inline

Get the proxy server protocol.

Definition at line 147 of file RCReader.h.

## get_proxy_server_userpw()

string libdap::RCReader::get_proxy_server_userpw | ( |  | ) | const
throw | ( | ) |  |  |

inline

Get the proxy username and password.

Definition at line 153 of file RCReader.h.

## get_use_cache()

bool libdap::RCReader::get_use_cache | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 136 of file RCReader.h.

## get_validate_ssl()

int libdap::RCReader::get_validate_ssl | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 142 of file RCReader.h.

## instance()

RCReader * libdap::RCReader::instance | ( |  | ) |

static

Definition at line 429 of file RCReader.cc.

## is_no_proxy_for_used()

bool libdap::RCReader::is_no_proxy_for_used | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 181 of file RCReader.h.

## is_proxy_for_used()

bool libdap::RCReader::is_proxy_for_used | ( |  | ) |
throw | ( | ) |  |  |

inline

Deprecated

Definition at line 167 of file RCReader.h.

## set_ais_database()

void libdap::RCReader::set_ais_database | ( | const string & | db | ) |
throw | ( | ) |  |  |

inline

Definition at line 224 of file RCReader.h.

## set_always_validate()

void libdap::RCReader::set_always_validate | ( | int | i | ) |
throw | ( | ) |  |  |

inline

Definition at line 198 of file RCReader.h.

## set_default_expires()

void libdap::RCReader::set_default_expires | ( | int | i | ) |
throw | ( | ) |  |  |

inline

Definition at line 197 of file RCReader.h.

## set_deflate()

void libdap::RCReader::set_deflate | ( | bool | b | ) |
throw | ( | ) |  |  |

inline

Definition at line 201 of file RCReader.h.

## set_ignore_expires()

void libdap::RCReader::set_ignore_expires | ( | int | i | ) |
throw | ( | ) |  |  |

inline

Definition at line 196 of file RCReader.h.

## set_max_cache_size()

void libdap::RCReader::set_max_cache_size | ( | int | i | ) |
throw | ( | ) |  |  |

inline

Definition at line 194 of file RCReader.h.

## set_max_cached_obj()

void libdap::RCReader::set_max_cached_obj | ( | int | i | ) |
throw | ( | ) |  |  |

inline

Definition at line 195 of file RCReader.h.

## set_no_proxy_for_host()

void libdap::RCReader::set_no_proxy_for_host | ( | const string & | s | ) |
throw | ( | ) |  |  |

inline

Definition at line 219 of file RCReader.h.

## set_no_proxy_for_port()

void libdap::RCReader::set_no_proxy_for_port | ( | int | i | ) |
throw | ( | ) |  |  |

inline

Deprecated

Definition at line 222 of file RCReader.h.

## set_no_proxy_for_protocol()

void libdap::RCReader::set_no_proxy_for_protocol | ( | const string & | s | ) |
throw | ( | ) |  |  |

inline

Definition at line 218 of file RCReader.h.

## set_proxy_for_proxy_host_url()

void libdap::RCReader::set_proxy_for_proxy_host_url | ( | const string & | s | ) |
throw | ( | ) |  |  |

inline

Deprecated

Definition at line 214 of file RCReader.h.

## set_proxy_for_regexp()

void libdap::RCReader::set_proxy_for_regexp | ( | const string & | s | ) |
throw | ( | ) |  |  |

inline

Deprecated

Definition at line 212 of file RCReader.h.

## set_proxy_for_regexp_flags()

void libdap::RCReader::set_proxy_for_regexp_flags | ( | int | i | ) |
throw | ( | ) |  |  |

inline

Deprecated

Definition at line 216 of file RCReader.h.

## set_proxy_server_host()

void libdap::RCReader::set_proxy_server_host | ( | const string & | s | ) |
throw | ( | ) |  |  |

inline

Definition at line 204 of file RCReader.h.

## set_proxy_server_host_url()

void libdap::RCReader::set_proxy_server_host_url | ( | const string & | s | ) |
throw | ( | ) |  |  |

inline

Deprecated

Definition at line 209 of file RCReader.h.

## set_proxy_server_port()

void libdap::RCReader::set_proxy_server_port | ( | int | l | ) |
throw | ( | ) |  |  |

inline

Definition at line 205 of file RCReader.h.

## set_proxy_server_protocol()

void libdap::RCReader::set_proxy_server_protocol | ( | const string & | s | ) |
throw | ( | ) |  |  |

inline

Definition at line 203 of file RCReader.h.

## set_proxy_server_userpw()

void libdap::RCReader::set_proxy_server_userpw | ( | const string & | s | ) |
throw | ( | ) |  |  |

inline

Definition at line 206 of file RCReader.h.

## set_use_cache()

void libdap::RCReader::set_use_cache | ( | bool | b | ) |
throw | ( | ) |  |  |

inline

Definition at line 193 of file RCReader.h.

## set_validate_ssl()

void libdap::RCReader::set_validate_ssl | ( | int | i | ) |
throw | ( | ) |  |  |

inline

Definition at line 199 of file RCReader.h.

## Friends And Related Symbol Documentation

## HTTPConnectTest

friend class HTTPConnectTest

friend

Definition at line 127 of file RCReader.h.

## RCReaderTest

friend class RCReaderTest

friend

Definition at line 126 of file RCReader.h.

The documentation for this class was generated from the following files:

- RCReader.h
- RCReader.cc